# -*- coding: iso-8859-1 -*-
u'''
    MoinMoin - PageRevision macro Version 0.1
               Displays the revision number of the current MoinMoin page

    <<PageRevision>>

     Repository for the macro:
     https://git.cpi.imtek.uni-freiburg.de/holgi/PageRevisionMacro

    @copyright: 2018 by Holger Frey
    @license: Beerware license

'''

from MoinMoin import wikiutil


def macro_PageRevision(macro):
    request = macro.request
    _ = request.getText

    revision = request.page.current_rev() or ''
    html = '<em>%s, revision %s</em>' % (request.page.page_name, str(revision)) 

    return macro.formatter.rawHTML(html)
